#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 34. GNOME Applications

- Prev

  Brasero-3.12.3

- Next

  Evince-46.3.1

- Up
- Home

# EOG-47.0

## Introduction to EOG

EOG is an application used for viewing and cataloging image files on the GNOME Desktop. It also has basic editing capabilities.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/eog/47/eog-47.0.tar.xz

- Download MD5 sum: af0f617adbe8eabcdc3a926aae4ddaa7

- Download size: 4.4 MB

- Estimated disk space required: 32 MB

- Estimated build time: 0.2 SBU

### EOG Dependencies

#### Required

adwaita-icon-theme-47.0, Exempi-2.6.5, gnome-desktop-44.1, libhandy-1.8.3, libjpeg-turbo-3.0.1, libpeas-1.36.0, and shared-mime-info-2.4

#### Recommended

GLib-2.82.5 (with GObject Introspection), Little CMS-2.17, libexif-0.6.25, librsvg-2.59.2, and webp-pixbuf-loader-0.2.7

#### Optional

GTK-Doc-1.34.0 and libportal-0.9.1

## Installation of EOG

Install EOG by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D libportal=false  \
                ..                  &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

Still as the `root` user, rebuild the cache database of MIME types handled by desktop files so Nautilus-47.2 will be able to open image files with EOG.

    update-desktop-database

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D libportal=false`: This parameter disables building EOG with support for flatpak portals. Remove this parameter if you have libportal-0.9.1 installed and wish to have support for flatpak portals.

`-D gtk_doc=true`: Use this option if GTK-Doc-1.34.0 is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Program: eog
Installed Library: libeog.so
Installed Directories: /usr/include/eog-3.0, /usr/lib/eog, /usr/share/eog, /usr/share/gtk-doc/html/eog (optional), and /usr/share/help/*/eog

### Short Descriptions

eog | is a fast and functional image viewer as well as an image cataloging program. It has basic editing capabilities

- Prev

  Brasero-3.12.3

- Next

  Evince-46.3.1

- Up
- Home